<?xml version="1.0" encoding="UTF-8"?>
<plugin
   id="org.eclipse.hyades.log.ui"
   name="Hyades Log UI"
   version="1.2.0"
   provider-name="Eclipse.org"
   class="org.eclipse.hyades.log.ui.internal.LogUIPlugin">

   <runtime>
      <library name="logui.jar">
         <export name="*"/>
		 <packages prefixes="org.eclipse.hyades.log.ui"/>                       
      </library>
   </runtime>
   
   <requires>
      <import plugin="org.eclipse.hyades.logging.parsers"/> 
      <import plugin="org.eclipse.hyades.execution.local"/>                      
      <import plugin="org.eclipse.hyades.models.hierarchy"/>   
      <import plugin="org.eclipse.hyades.models.sdb"/>
      <import plugin="org.eclipse.hyades.models.cbe"/>
      <import plugin="org.eclipse.hyades.trace.ui"/>
      <import plugin="org.eclipse.hyades.analysis.engine"/>
      <import plugin="org.eclipse.hyades.sdb"/>
      <import plugin="org.eclipse.hyades.logc"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
   </requires>
  
<!-- ==================================================================== -->
<extension point="org.eclipse.ui.views">
	<view
		id="org.eclipse.hyades.log.ui.internal.views.LogViewer"
		name="%STR_WAS_VIEW_TITLE"
		icon="./icons/full/cview16/was_log_view.gif"
		category="org.eclipse.hyades.trace.internal.ui.trace"
		class="org.eclipse.hyades.log.ui.internal.views.LogViewer">
	</view>

	<view
		id="org.eclipse.hyades.log.ui.internal.navigator.LogNavigator"
		name="%LOG_NAV_TTL"
		icon="icons/full/cview16/was_log_view.gif"
		category="org.eclipse.hyades.trace.internal.ui.trace"
		class="org.eclipse.hyades.log.ui.internal.navigator.LogNavigator">
	</view >
</extension>
    
<!-- ==================================================================== -->
<extension point="org.eclipse.ui.perspectiveExtensions">
  <perspectiveExtension 
	targetID="org.eclipse.hyades.trace.internal.ui.tracePerspective">
	<actionSet id="org.eclipse.hyades.log.ui.internal.logViewActionSet"/>
    <view id="org.eclipse.hyades.log.ui.internal.views.LogViewer" 
        	relative="org.eclipse.hyades.trace.ui.internal.console.TraceConsoleView" 
    		relationship="stack"
    		visible="false"/>
    <view id="org.eclipse.hyades.log.ui.internal.navigator.LogNavigator" 
        	relative="org.eclipse.hyades.trace.internal.ui.PDProjectExplorer" 
    		relationship="stack"
    		visible="true"/>
    <viewShortcut id="org.eclipse.hyades.log.ui.internal.navigator.LogNavigator"/>
    <viewShortcut id="org.eclipse.hyades.log.ui.internal.views.LogViewer"/>
  </perspectiveExtension> 
</extension>

<!-- ==================================================================== -->
<extension point="org.eclipse.ui.actionSets">
	<actionSet id="org.eclipse.hyades.log.ui.internal.logViewActionSet"
		label="%STR_ACTION_SET"
		visible="false">
		<action id="org.eclipse.hyades.log.ui.internal.actions.OpenLogViewAction"
			toolbarPath="trace/group.openRAS"
			label="%STR_WAS_LOG_BTN"
			tooltip="%STR_WAS_LOG_BTN_TIP"
			icon="icons/full/ctool16/was_log_co.gif"
			class="org.eclipse.hyades.log.ui.internal.actions.OpenLogViewAction">
		</action>
	</actionSet>
</extension>
 
<!-- ==================================================================== -->
<extension point="org.eclipse.hyades.ui.analyzerExtensions">
	<analyzerExtension
		id="org.eclipse.hyades.log.ui.internal.actions.OpenLogViewAction"
		name="%STR_WAS_VIEW_TITLE"
		icon="./icons/full/cview16/was_log_view.gif"
		class="org.eclipse.hyades.log.ui.internal.actions.OpenLogViewAction"
		type="Logging"
		extension="trace"
		isDefault="true"
		>
	</analyzerExtension>	
</extension>

     
<!-- ==================================================================== -->  
<extension point="org.eclipse.hyades.analysis.engine.logAnalyzer">
	<logAnalyzer
		id="org.eclipse.hyades.log.ui.internal.views.LogAnalyzerImpl"
		name="%defaultLogAnalyzer"
		type="org.eclipse.hyades.models.cbe.CBEDefaultEvent"
		class="org.eclipse.hyades.log.ui.internal.views.LogAnalyzerImpl"/>
		
</extension>

<!-- ==================================================================== -->
 <extension
	point="org.eclipse.ui.preferencePages">
	<page name="%LOG_ANALYZER_BASE_PREF_PAGE"
		id="org.eclipse.hyades.log.ui.internal.preferences.LogAnalyzerBasePrefPage"
		class="org.eclipse.hyades.log.ui.internal.preferences.LogAnalyzerBasePrefPage"
		category="org.eclipse.hyades.trace.ui.internal.preferences.TraceBasePreferencePage">
	</page>
	<page name="%LOG_ANALYZER_SYMPTOM_DB_PAGE"
		id="org.eclipse.hyades.log.ui.internal.preferences.SymptomDBPreferencePage"
		class="org.eclipse.hyades.log.ui.internal.preferences.SymptomDBPreferencePage"
		category="org.eclipse.hyades.log.ui.internal.preferences.LogAnalyzerBasePrefPage">
	</page>
	<!--page name="%LARGE_LOG_SUPPORT_PAGE"
		id="org.eclipse.hyades.log.ui.internal.preferences.LargeLogSupportPreferencePage"
		class="org.eclipse.hyades.log.ui.internal.preferences.LargeLogSupportPreferencePage"
		category="org.eclipse.hyades.trace.ui.internal.preferences.TraceBasePreferencePage">
	</page-->
  </extension>
  
<!-- ==================================================================== -->
<extension
	point="org.eclipse.ui.importWizards">
	<wizard
		id="org.eclipse.hyades.log.ui.internal.wizards.ImportLogFile"
		name="%STR_IMPORT_LOG_FILE_TITLE"
		class="org.eclipse.hyades.log.ui.internal.wizards.ImportLogWizard"
		icon="./icons/full/ctool16/importactivitylog_wiz.gif">
		<description>
			%STR_IMPORT_LOG_FILE_DESC
		</description>
		<selection class="org.eclipse.core.resources.IResource"/>
	</wizard>
</extension>

<!-- ==================================================================== -->
   <extension point="org.eclipse.ui.popupMenus"> 
      <objectContribution 
         id="org.eclipse.hyades.logc.internal.actions.OpenTimeBasedCorrelationViewCBECommonBaseEventPopupAction" 
         objectClass="org.eclipse.hyades.models.cbe.CBECommonBaseEvent" >
		<action id="org.eclipse.hyades.log.ui.internal.actions.OpenLogViewAction"
			menubarPath="generic.action"
			label="%STR_WAS_LOG_BTN"
			tooltip="%STR_WAS_LOG_BTN_TIP"
			class="org.eclipse.hyades.log.ui.internal.actions.OpenLogViewAction">
		</action>
      </objectContribution>           
   </extension>
  

<extension point = "org.eclipse.ui.viewActions">
<!-- Contributions to log navigator toolbar -->
	<viewContribution
		id = "org.eclipse.hyades.log.ui.internal.monitorsview.toolbar"
		targetID = "org.eclipse.hyades.log.ui.internal.navigator.LogNavigator">
		<action
			id = "org.eclipse.hyades.log.ui.internal.monitorsview.toolbar.refreshViews"
			toolbarPath = "refreshGroup"
			icon = "../org.eclipse.hyades.trace.ui/icons/full/elcl16/updateviews_co.gif"
			disabledIcon="../org.eclipse.hyades.trace.ui/icons/full/dlcl16/updateviews_co.gif"
            hoverIcon="../org.eclipse.hyades.trace.ui/icons/full/clcl16/updateviews_co.gif"						
			helpContextId = "refresh_views_action_context"
			class = "org.eclipse.hyades.trace.ui.internal.actions.RefreshViewsActionDelegate"
			tooltip="%REFRESH_VIEWS"			
			label="%REFRESH_VIEWS">
		</action>
		
	</viewContribution>

</extension>

<!--=============================================================-->
<!-- New Correlation Wizard -->
<!--=============================================================-->    
   <extension
         point="org.eclipse.ui.newWizards">
		<category
			id = "org.eclipse.hyades.trace_log.newWizard"
			name = "%TRACE_LOG_NEWWIZ">
		</category>
         
      <wizard
            id="org.eclipse.hyades.log.ui.wizard.new.correlation"
            name="%STR_NEW_CORR_WIZARD"
            class="org.eclipse.hyades.log.ui.internal.wizards.NewCorrelationWizard"
            category="org.eclipse.hyades.trace_log.newWizard"
            icon="icons/full/ctool16/newcorrelation_wiz.gif">
         <description>
            %STR_NEW_CORR_WIZARD_DESC
         </description>
      </wizard>
   </extension>

</plugin>
